=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for WeFitter::ChallengeActivityType
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ChallengeActivityType' do
  before do
    # run before each test
    @instance = WeFitter::ChallengeActivityType.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ChallengeActivityType' do
    it 'should create an instance of ChallengeActivityType' do
      expect(@instance).to be_instance_of(WeFitter::ChallengeActivityType)
    end
  end
  describe 'test attribute "activity_type"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Petstore::EnumTest::EnumAttributeValidator.new('String', ["RUNNING", "CROSSFIT", "CYCLING", "SWIMMING", "OTHER", "ROWING", "WALKING", "MINDFULNESS", "YOGA", "STRENGTH_TRAINING"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.activity_type = value }.not_to raise_error
      # end
    end
  end

end
